/*
 * Copyright (c) 2022 Jonathan Schleifer <js@nil.im>
 *
 * All rights reserved.
 *
 * This file is part of Obj3DEngine. It may be distributed under the terms of
 * the Q Public License 1.0, which can be found in the file LICENSE.QPL
 * included in the packaging of this file.
 *
 * Alternatively, it may be distributed under the terms of the GNU General
 * Public License, either version 2 or 3, which can be found in the file
 * LICENSE.GPLv2 or LICENSE.GPLv3 respectively included in the packaging of
 * this file.
 */

#import <ObjFW/ObjFW.h>

#ifdef OF_WINDOWS
# include <windows.h>

@interface O3DWinAPIWindow: OFObject
{
	WNDCLASS _wndClass;
	HWND _hWnd;
}

@property (readonly, nonatomic) HWND hWnd;

- (instancetype)initWithSize: (OFSize)size;
- (instancetype)init OF_UNAVAILABLE;
@end
#endif
